.chart {
    grid-template-columns: repeat(2, 1fr);
    margin: 32px 60px;
    gap: 30px;
}

.border-price {
    border: 1px solid rgba(13, 10, 44, .0784313725);
    border-top: none;
    padding-bottom: 130px;
    padding-right: 10px;
    box-shadow: 0 2px 6px #0d0a2c14;
    border-radius: 5px;
    width: calc(100vw - 10px);
    position: relative;
    z-index: 5;
}

.inter-600 {
    font-family: Inter, sans-serif !important;
    font-optical-sizing: auto;
    font-weight: 600;
    font-style: normal;
}

.radio-group {
    display: flex;
    gap: 5px;
    justify-content: end;
}
.silver-check-radio,
.gold-check-radio {
    display: none;
}
.silver-check-label,
.gold-check-label {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 30px;
    height: 32px;
    background-color: #e0e0e0;
    color: #1a2745;
    border-radius: 5px;
    cursor: pointer;
    user-select: none;
}

.silver-check-radio:checked + .silver-check-label,
.gold-check-radio:checked + .gold-check-label {
    color: #e0e0e0;
    background-color: #1a2745;
}

.button-group {
    display: flex;
    margin-top: 5px;
    justify-content: end;
}


.unit-check-label {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100px;
    height: 32px;
    background-color: #e0e0e0;
    color: #1a2745;
    cursor: pointer;
    user-select: none;
}

.unit-check-label:nth-child(2) {
    border-radius: 5px 0 0 5px;
}

.unit-check-label:nth-child(4) {
    border-radius: 0 5px 5px 0;
}

.unit-checkbox:checked + .unit-check-label {
    color: #e0e0e0;
    background-color: #1a2745;
}

.gold-chart-outer,
.silver-chart-outer {
    overflow-x: auto;
    height: 550px;
}

#goldChartContainer,
#silverChartContainer {
    height: 500px;
}

.canvasJS-wrapper {
    width: 100%;
}

.change-rate-body {
    margin: 10px var(--margin-inline);
    display: flex;
    gap: 5px;
}

.change-rate-body .change-percent {
    font-weight: 700;
    display: flex;
    align-items: center;
    --increase-color: #028166;
    --decrease-color: #C42028;
    gap: 3px;
}

.change-rate-body .increase {
    color: var(--increase-color);
}

.change-rate-body .decrease {
    color: var(--decrease-color);
}

.change-rate-body .change-percent::before {
    content: '';
    display: block;
    width: 0;
    height: 0;
    border-width: 4px;
    border-style: solid;
    border-color: transparent;
}

.change-rate-body .increase::before {
    border-bottom-color: var(--increase-color);
    transform: translateY(-25%);
}

.change-rate-body .decrease::before {
    border-top-color: var(--decrease-color);
    transform: translateY(25%);
}

.last-price {
    display: flex;
    gap: 80px;
    margin-inline: var(--margin-inline);
}

.last-price .last-price-title {
    font-family: Inter, sans-serif;
    text-transform: uppercase;
    font-size: 16px;
    font-weight: 400;
    color: #4f4f4f;
}

.last-price .last-price-value {
    font-family: Roboto, sans-serif;
    font-size: 24px;
    font-weight: 600;
    --price-in-color: #C42028;
    --price-out-color: #028166;
}

.last-price .last-price-value.price-in {
    color: var(--price-in-color);
}
.last-price .last-price-value.price-out {
    color: var(--price-out-color);
}

@media (min-width: 1280px) {
    .change-rate-body {
        font-size: 32px;
    }

    .change-rate-body .decrease::before {
        border-width: 6px;
    }
}
